using System.Collections.Generic;
using XamPivotGridXampl.Properties;

namespace XamPivotGridXampl
{
    public class BucketRiskLayoutReader
    {
        private readonly BucketRiskLayoutManager _layoutManager;

        public BucketRiskLayoutReader(BucketRiskLayoutManager layoutManager)
        {
            _layoutManager = layoutManager;
        }

        public IEnumerable<BucketRiskLayoutItemViewModel> Read()
        {
            var layouts = new List<BucketRiskLayoutItemViewModel>();

            layouts.Add(new BucketRiskLayoutItemViewModel("Test1", Resources.Test1_BucketRiskLayout, _layoutManager));
            layouts.Add(new BucketRiskLayoutItemViewModel("Test2", Resources.Test2_BucketRiskLayout, _layoutManager));
            layouts.Add(new BucketRiskLayoutItemViewModel("Test6", Resources.Test6_BucketRiskLayout, _layoutManager));
            layouts.Add(new BucketRiskLayoutItemViewModel("Test30", Resources.Test30_BucketRiskLayout, _layoutManager));

            return layouts;
        }
    }
}