﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace XamPivotGridXampl.Selectors
{
    public class BucketRiskDataTemplateSelector : DataTemplateSelector
    {
        public DataTemplate LayoutItemTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item == null)
            {
                throw new ArgumentException("item can be null");
            }

            if (item is BucketRiskLayoutItemViewModel)
            {
                return LayoutItemTemplate;
            }

            throw new ArgumentException("viewModel : " + item.GetType().Name + " is not recognized by MenuDataGridTemplateSelector");
        }
    }
}
